/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { Component, input } from "@angular/core";
import { type FormControl, ReactiveFormsModule } from "@angular/forms";

@Component({
  imports:     [ ReactiveFormsModule ],
  selector:    "app-consent",
  styleUrl:    "./consent.component.css",
  templateUrl: "./consent.component.html",
})
export class ConsentComponent {
  public control = input.required<FormControl>();
}
