/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { CommonModule } from "@angular/common";
import { type ComponentFixture, TestBed } from "@angular/core/testing";
import { ReactiveFormsModule } from "@angular/forms";
import { RouterModule } from "@angular/router";
import { ConsentComponent } from "../../consent/consent.component";
import { ErrorComponent } from "../../error/error.component";
import { CheckboxComponent } from "../../inputs/checkbox/checkbox.component";
import { MultiLineComponent }
  from "../../inputs/multi-line/multi-line.component";
import { SelectMenuComponent }
  from "../../inputs/select-menu/select-menu.component";
import { SingleLineComponent }
  from "../../inputs/single-line/single-line.component";
import { SuccessComponent } from "../../success/success.component";
import { UserinfoComponent } from "../../userinfo/userinfo.component";
import { StaffComponent } from "./staff.component";

describe("StaffComponent", () => {
  let component: StaffComponent;
  let fixture: ComponentFixture<StaffComponent>;

  beforeEach(async() => {
    await TestBed.configureTestingModule({
      imports: [ StaffComponent,
        RouterModule,
        CommonModule,
        ConsentComponent,
        UserinfoComponent,
        ErrorComponent,
        ReactiveFormsModule,
        CheckboxComponent,
        SingleLineComponent,
        SelectMenuComponent,
        MultiLineComponent,
        SuccessComponent ],
    }).
      compileComponents();

    fixture = TestBed.createComponent(StaffComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
