/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { Component, input } from "@angular/core";
import { ReactiveFormsModule, type FormControl } from "@angular/forms";

@Component({
  imports:     [ ReactiveFormsModule ],
  selector:    "app-checkbox",
  styleUrl:    "./checkbox.component.css",
  templateUrl: "./checkbox.component.html",
})
export class CheckboxComponent {
  public label = input.required<string>();
  public control = input.required<FormControl>();
  public required = input<boolean>(true);
}
