/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { CommonModule } from "@angular/common";
import { Component, input } from "@angular/core";
import { type FormControl, ReactiveFormsModule } from "@angular/forms";

@Component({
  imports:     [ CommonModule, ReactiveFormsModule ],
  selector:    "app-single-line",
  styleUrl:    "./single-line.component.css",
  templateUrl: "./single-line.component.html",
})
export class SingleLineComponent {
  public type = input.required<"text" | "email" | "number">();
  public label = input.required<string>();
  public control = input.required<FormControl>();
}
