/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { CommonModule } from "@angular/common";
import { type ComponentFixture, TestBed } from "@angular/core/testing";
import { ReactiveFormsModule } from "@angular/forms";
import { RouterModule } from "@angular/router";
import { ErrorComponent } from "../error/error.component";
import { SingleLineComponent }
  from "../inputs/single-line/single-line.component";
import { ReviewComponent } from "./review.component";

describe("ReviewComponent", () => {
  let component: ReviewComponent;
  let fixture: ComponentFixture<ReviewComponent>;

  beforeEach(async() => {
    await TestBed.configureTestingModule({
      imports: [ ReviewComponent,
        CommonModule,
        ReactiveFormsModule,
        RouterModule,
        SingleLineComponent,
        ErrorComponent ],
    }).
      compileComponents();

    fixture = TestBed.createComponent(ReviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it("should create", () => {
    expect(component).toBeTruthy();
  });
});
