/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { Component, input } from "@angular/core";
import { SingleLineComponent }
  from "../inputs/single-line/single-line.component";
import type { FormControl } from "@angular/forms";

@Component({
  imports:     [ SingleLineComponent ],
  selector:    "app-userinfo",
  styleUrl:    "./userinfo.component.css",
  templateUrl: "./userinfo.component.html",
})
export class UserinfoComponent {
  public firstNameControl = input.required<FormControl>();
  public lastNameControl = input.required<FormControl>();
  public emailControl = input.required<FormControl>();
  public companyControl = input.required<FormControl>();
}
