/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

import { AppealComponent } from "./forms/appeal/appeal.component.js";
import { CommissionComponent }
  from "./forms/commission/commission.component.js";
import { ContactComponent } from "./forms/contact/contact.component.js";
import { EventComponent } from "./forms/event/event.component.js";
import { MeetingComponent } from "./forms/meeting/meeting.component.js";
import { MentorshipComponent }
  from "./forms/mentorship/mentorship.component.js";
import { StaffComponent } from "./forms/staff/staff.component.js";
import { HomeComponent } from "./home/home.component.js";
import { ReviewComponent } from "./review/review.component.js";
import type { Routes } from "@angular/router";

export const routes: Routes = [
  { component: HomeComponent, path: "", pathMatch: "full" },
  { component: AppealComponent, path: "appeal" },
  { component: CommissionComponent, path: "commission" },
  { component: ContactComponent, path: "contact" },
  { component: EventComponent, path: "event" },
  { component: MeetingComponent, path: "meeting" },
  { component: MentorshipComponent, path: "mentorship" },
  { component: StaffComponent, path: "staff" },
  { component: ReviewComponent, path: "review" },
];
